> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/bg/api-dokumentaciya/obsh-pregled-na-zayavkite-km-geopard-api/38.-zayavka-poluchavane-na-userdata.md).

# 38. Заявка: Получаване на „UserData“

Вземи "UserData" на упълномощения потребител.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    имейл
    общаПлощ
    максПлощ
    единицаПлощ
    език
    apiКлюч
    бройКласовеНаПочвенНабор
    организации {
      uuid
      name
      фамилноИме
      собственоИме
      имейл
      телефон
      датаНаСъздаване
      updatedDate
      потребители {
        uuidНаОрганизация
        userUuid
        имейл
        всичкиФерми
        датаНаСъздаване
        updatedDate
        ферми {
          uuid
          userUuid
          name
          датаНаСъздаване
          updatedDate
          farmOwnership
          имейл
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumentaciya/obsh-pregled-na-zayavkite-km-geopard-api/38.-zayavka-poluchavane-na-userdata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
